## python-jsonschema 2.5.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/jsonschema.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/jsonschema.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/jsonschema"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/jsonschema"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-jsonschema 0.2

=== debian/changelog ===
python-jsonschema (0.2-1) unstable; urgency=low

  * First Debian Packaging

 -- Ghe Rivero <ghe@debian.org>  Wed, 30 May 2012 14:43:07 +0200

python-jsonschema (0.2-0ubuntu2) quantal; urgency=low

  * debian/control: Add python-nose as a build dependency.
  * debian/rules: Run testsuite during build. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 23 May 2012 20:02:47 -0400

python-jsonschema (0.2-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 May 2012 08:46:39 -0400

=== debian/control ===
Source: python-jsonschema
Section: python
Priority: optional
Maintainer: Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 8.0.0),  python-setuptools (>= 0.6b3),
 python-all (>= 2.6.6-3~), python-nose
Standards-Version: 3.9.2

Package: python-jsonschema
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: An(other) implementation of JSON Schema (Draft 3) for Python
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nosetests tests.py
endif

## python-jsonschema 0.7

=== debian/changelog ===
python-jsonschema (0.7-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 10 Jan 2013 14:25:44 -0800

python-jsonschema (0.7-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Add debian/watch file.
  * Add python3 package.
  * Path python3 package to work with hash randomisation.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 06 Dec 2012 16:02:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: python-jsonschema
 Section: python
 Priority: optional
-Maintainer: Ghe Rivero <ghe@debian.org>
-Build-Depends: debhelper (>= 8.0.0),  python-setuptools (>= 0.6b3),
- python-all (>= 2.6.6-3~), python-nose
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ghe Rivero <ghe@debian.org>
+Build-Depends: debhelper (>= 8.0.0),  python-setuptools (>= 0.6b3), python3-setuptools,
+ python-all (>= 2.6.6-3~), python3-all, python-nose, python3-nose, python-mock, python3-mock
+X-Python3-Version: >= 3.2
 Standards-Version: 3.9.2
 
 Package: python-jsonschema
@@ -16,3 +18,14 @@
  modified, much like what XML Schema provides for XML. JSON Schema is
  intended to provide validation, documentation, and interaction control
  of JSON data
+
+Package: python3-jsonschema
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Description: An(other) implementation of JSON Schema (Draft 3) for Python 3
+ JSON Schema is a specification for a JSON-based format for defining
+ the structure of JSON data. JSON Schema provides a contract for what
+ JSON data is required for a given application and how it can be
+ modified, much like what XML Schema provides for XML. JSON Schema is
+ intended to provide validation, documentation, and interaction control
+ of JSON data

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON3:=$(shell py3versions -r)
py3sdo=set -ex; $(foreach py, $(PYTHON3), $(py) $(1);)

%:
	dh $@ --with python2,python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nosetests tests.py
	nosetests3 tests.py
endif

override_dh_auto_build:
	dh_auto_build
	$(call py3sdo, setup.py build)

override_dh_auto_install:
	dh_auto_install
	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info __pycache__

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/j/jsonschema/jsonschema-(.*).tar.gz

## python-jsonschema 1.3.0

=== debian/changelog ===
python-jsonschema (1.3.0-0ubuntu1~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Aug 2013 13:18:52 +0100

python-jsonschema (1.3.0-0ubuntu1) saucy; urgency=low

  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 22 Aug 2013 10:59:11 -0400

python-jsonschema (1.1.0-2) unstable; urgency=low

  [ Thomas Goirand ]
  * Ran wrap-and-sort.

  [ Dmitrijs Ledkovs ]
  * Builds the python3 package.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 14:04:07 +0800

python-jsonschema (1.1.0-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 07:30:18 +0000

python-jsonschema (0.8.0-2) experimental; urgency=low

  * Missing build-dependency: python-mock (Closes: #700283).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Feb 2013 02:19:29 +0000

python-jsonschema (0.8.0-1) experimental; urgency=low

  * New upstream release.
  * Team maintains the package in pkg-openstack.
  * Fixed debian/copyright format URL.
  * Added Ghe and myself in debian/copyright.
  * Bumped debhelper and compat to >= 9.
  * Bumped Standards-Version to 3.9.4
  * Added VCS and Homepage fields.
  * Now using openstack-pkg-tools.
  * Pre-Depends: dpkg (>= 1.15.6~) because of xz compression.
  * Added a watch file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Jan 2013 23:12:17 +0800

=== debian/control ===
Source: python-jsonschema
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-mock,
               python-nose,
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-mock,
               python3-nose,
               python3-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-jsonschema.git
Vcs-Git: git://anonscm.debian.org/openstack/python-jsonschema.git
Homepage: https://github.com/Julian/jsonschema

Package: python-jsonschema
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-mock, ${misc:Depends}, ${python:Depends}
Description: An(other) implementation of JSON Schema (Draft 3) for Python
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package contains the Python 2.x module.

Package: python3-jsonschema
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: An(other) implementation of JSON Schema (Draft 3) for Python 3
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 PYTHON3:=$(shell py3versions -r)
 py3sdo=set -ex; $(foreach py, $(PYTHON3), $(py) $(1);)
+
+UPSTREAM_GIT = git://github.com/Julian/jsonschema.git
+
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --with python2,python3

## python-jsonschema 2.0.0

=== debian/changelog ===
python-jsonschema (2.0.0-1~bpo70+1) wheezy-backports; urgency=low

  * Backport to wheezy-backports.
  * Add myself to Uploaders.

 -- Micah Anderson <micah@debian.org>  Fri, 25 Oct 2013 16:09:12 -0400

python-jsonschema (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Added Pre-Depends dpkg (>= 1.15.6~) missing for the python3 package.
  * Removes now obsolete debian/patches folder.
  * Fixes nosetests calls (removes test.py as arg).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2013 15:11:14 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-jsonschema
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
            Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Ghe Rivero <ghe.rivero@stackops.com>,
-           Mehdi Abaakouk <sileht@sileht.net>
+           Mehdi Abaakouk <sileht@sileht.net>,
+ Micah Anderson <micah@debian.org>
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
@@ -39,6 +39,7 @@
 
 Package: python3-jsonschema
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${python3:Depends}
 Description: An(other) implementation of JSON Schema (Draft 3) for Python 3
  JSON Schema is a specification for a JSON-based format for defining

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	nosetests tests.py
-	nosetests3 tests.py
+	nosetests
+	nosetests3
 endif
 
 override_dh_auto_build:

## python-jsonschema 2.3.0

=== debian/changelog ===
python-jsonschema (2.3.0-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:00 +0000

python-jsonschema (2.3.0-1) unstable; urgency=low

  [ Thomas Goirand ]
  * New upstream release.
  * Do not depend on openstack-pkg-tools anymore.
  * Build-Depends on autopkgtest and python{3,}-pytest.

  [ Jean-Baptiste Lallement ]
  * Add autopkgtest that runs the upstream test suite against the installed
    package (Closes: #729467)

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Dec 2013 11:37:07 +0800

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
-           Julien Danjou <acid@debian.org>,
+Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>,
-           Mehdi Abaakouk <sileht@sileht.net>,
- Micah Anderson <micah@debian.org>
-Build-Depends: debhelper (>= 9),
-               openstack-pkg-tools,
+           Mehdi Abaakouk <sileht@sileht.net>
+Build-Depends: autopkgtest,
+               debhelper (>= 9),
                python-all (>= 2.6.6-3~),
-               python-mock,
-               python-nose,
                python-setuptools (>= 0.6b3),
                python3-all,
-               python3-mock,
-               python3-nose,
                python3-setuptools
+Build-Depends-Indep: python-mock,
+                     python-nose,
+                     python-pytest,
+                     python3-mock,
+                     python3-nose,
+                     python3-pytest
 Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-jsonschema.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-jsonschema.git
 Homepage: https://github.com/Julian/jsonschema
+XS-Testsuite: autopkgtest
 
 Package: python-jsonschema
 Architecture: all
@@ -40,7 +40,7 @@
 Package: python3-jsonschema
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3 (>= 3.2.3), ${misc:Depends}
 Description: An(other) implementation of JSON Schema (Draft 3) for Python 3
  JSON Schema is a specification for a JSON-based format for defining
  the structure of JSON data. JSON Schema provides a contract for what

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 py3sdo=set -ex; $(foreach py, $(PYTHON3), $(py) $(1);)
 
 UPSTREAM_GIT = git://github.com/Julian/jsonschema.git
-
-include /usr/share/openstack-pkg-tools/pkgos.make
+-include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --with python2,python3

=== debian/tests/control ===
Tests: upstream-py2 upstream-py3
Depends: @, python-pytest, python3-pytest

## python-jsonschema 2.4.0

=== debian/changelog ===
python-jsonschema (2.4.0-1~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 14 Jul 2015 20:22:40 +0000

python-jsonschema (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Apr 2015 09:44:16 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      python3-mock,
                      python3-nose,
                      python3-pytest
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-jsonschema.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-jsonschema.git
 Homepage: https://github.com/Julian/jsonschema

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	nosetests
-	nosetests3
+	nosetests -v
+	nosetests3 -v
 endif
 
 override_dh_auto_build:

## python-jsonschema 2.5.1

=== debian/changelog ===
python-jsonschema (2.5.1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Adding depends on python3-pkg-resources (Closes: #839075).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 16:08:48 +0200

python-jsonschema (2.5.1-5) unstable; urgency=medium

  * Team upload.
  * Fixed VCS URLs (https).
  * Mention Draft 4 support in package description (Closes: #816711)
  * Removed d/CHANGELOG, upstream provides own changelog now
  * Bumped Standards-Version to 3.9.8, no changes needed
  * d/rules: Changed UPSTREAM_GIT protocol to https

 -- Ondřej Nový <novy@ondrej.org>  Thu, 19 May 2016 22:02:32 +0200

python-jsonschema (2.5.1-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:40:58 +0000

python-jsonschema (2.5.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:02:14 +0000

python-jsonschema (2.5.1-2) experimental; urgency=medium

  * Fixed pacakge version parsing to be compatible with Ubuntu Trusty.
  * Fixed http{s,}_proxy during dh_auto_clean to avoid PyPi downloads.
  * Added python{3,}-vcversioner as build-depends-indep.
  * Using update-alternatives to provide /usr/bin/jsonschema.
  * Fixed missing ${python3:Depends}.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Sep 2015 09:25:38 +0200

python-jsonschema (2.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Usual debian/control clean-up.
  * Added python{3,}-vcversioner as build-depends.
  * Creates version.txt on build, clean it on clean.
  * Do not delete *egg-info on clean, use debian/source/options instead.
  * Removed XS-Test-Suite in debian/control.
  * Added python-functools32 as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:18:54 +0200

=== debian/control ===
Source: python-jsonschema
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: autopkgtest,
               debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-vcversioner,
               python3-all,
               python3-setuptools,
               python3-vcversioner,
Build-Depends-Indep: python-functools32,
                     python-mock,
                     python-nose,
                     python-pytest,
                     python3-mock,
                     python3-nose,
                     python3-pytest,
Standards-Version: 3.9.8
Vcs-Git: https://git.openstack.org/openstack/deb-python-jsonschema -b debian/newton
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-jsonschema?h=debian%2Fnewton
Homepage: https://github.com/Julian/jsonschema

Package: python-jsonschema
Architecture: all
Depends: python-functools32,
         python-mock,
         python3-pkg-resources,
         ${misc:Depends},
         ${python:Depends},
Description: An(other) implementation of JSON Schema (Draft 3 and 4) - Python 2.7
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package contains the Python 2.7 module.

Package: python3-jsonschema
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Description: An(other) implementation of JSON Schema (Draft 3 and 4) - Python 3.x
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

export PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

PYTHON3:=$(shell py3versions -r)
py3sdo=set -ex; $(foreach py, $(PYTHON3), $(py) $(1);)

UPSTREAM_GIT := https://github.com/Julian/jsonschema.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nosetests -v
	nosetests3 -v
endif

override_dh_auto_build:
	echo $$PACKAGE_VERSION  | sed s/\\./-/g >version.txt
	dh_auto_build
	$(call py3sdo, setup.py build)

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-jsonschema; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-jsonschema; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-jsonschema/usr/bin/jsonschema $(CURDIR)/debian/python-jsonschema/usr/bin/python2-jsonschema
	mv $(CURDIR)/debian/python3-jsonschema/usr/bin/jsonschema $(CURDIR)/debian/python3-jsonschema/usr/bin/python3-jsonschema

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	echo $$PACKAGE_VERSION  | sed s/\\./-/g >version.txt
	#http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean
	rm -rf build version.txt
	rm -rf __pycache__

## python-jsonschema 2.6.0

=== debian/changelog ===
python-jsonschema (2.6.0-4ubuntu2) disco; urgency=medium

  * d/tests/control: Add python{3}-mock to test depends.

 -- James Page <james.page@ubuntu.com>  Thu, 22 Nov 2018 14:35:26 +0000

python-jsonschema (2.6.0-4ubuntu1) disco; urgency=medium

  [ Kiss György ]
  * d/control: Drop runtime dependency on python-mock (LP: #1795003).

 -- James Page <james.page@ubuntu.com>  Thu, 22 Nov 2018 12:17:11 +0000

python-jsonschema (2.6.0-4) unstable; urgency=medium

  * Define http{s,}_proxy when building the doc to avoid internet connection
    during the doc build (Closes: #908152).
  * Add do-not-access-internet-during-doc-build.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 09:03:51 +0200

python-jsonschema (2.6.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Add a -doc package. (Closes: #857867)

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Sep 2018 00:36:26 +0200

python-jsonschema (2.6.0-2) unstable; urgency=medium

  * Team upload.
  * d/p/fixup-version.patch: Set version to 2.6.0 (Closes: #881833)

 -- Ondřej Nový <onovy@debian.org>  Wed, 15 Nov 2017 20:43:29 +0100

python-jsonschema (2.6.0-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.1.
  * Using pkgos-dh_auto_install.
  * Testing with all versions of Python 3.
  * Refreshed version patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 17:23:29 +0100

=== debian/control ===
Source: python-jsonschema
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 autopkgtest,
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-vcversioner,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-vcversioner,
Build-Depends-Indep:
 python-functools32,
 python-mock,
 python-nose,
 python-pytest,
 python3-lxml,
 python3-mock,
 python3-nose,
 python3-pytest,
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-jsonschema.git
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-jsonschema
Homepage: https://github.com/Julian/jsonschema

Package: python-jsonschema
Architecture: all
Depends:
 python-functools32,
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-jsonschema-doc,
Description: An(other) implementation of JSON Schema (Draft 3 and 4) - Python 2.7
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package contains the Python 2.7 module.

Package: python-jsonschema-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: An(other) implementation of JSON Schema (Draft 3 and 4) - doc
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package provides the documentation.

Package: python3-jsonschema
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-jsonschema-doc,
Description: An(other) implementation of JSON Schema (Draft 3 and 4) - Python 3.x
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package contains the Python 3.x module.

=== debian/tests/control ===
Tests: upstream-py2 upstream-py3
Depends: @, python-mock, python-pytest, python3-mock, python3-pytest

## python-jsonschema 3.0.2

=== debian/changelog ===
python-jsonschema (3.0.2-4~nd1~nd+1) sid; urgency=medium

  [ Thomas Goirand ]
  * Non-maintainer upload.
  * unbump debcompat to 11

  [ NeuroDebian Maintainers ]
  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 29 Jan 2020 11:51:03 -0500

python-jsonschema (3.0.2-4) unstable; urgency=medium

  * Add missing dependencies for autopkgtests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Dec 2019 11:31:53 +0100

python-jsonschema (3.0.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Dec 2019 22:05:33 +0100

python-jsonschema (3.0.2-2) experimental; urgency=medium

  * Team upload.
  * Use pybuild to build package.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0.

 -- Ondřej Nový <onovy@debian.org>  Wed, 25 Sep 2019 12:48:45 +0200

python-jsonschema (3.0.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Remove python-mock from runtime dependency
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
    - supports draft7 (Closes: #939943).
    - corrects import order (Closes: #931761).
  * Fixed (build-)depends for this release.
  * Add export SETUPTOOLS_SCM_PRETEND_VERSION as upstream switched to that.
  * Removed Python 2 support (Closes: #937861).
  * Add remove-TestBuiltinFormats-hack.patch.
  * Add remove-sphinxcontrib.spelling-from-doc-conf.py.patch.
  * Move the package to "third-party" Salsa subgroup.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 16:02:04 +0200

=== debian/control ===
Source: python-jsonschema
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 autopkgtest,
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Build-Depends-Indep:
 python3-attr,
 python3-lxml,
 python3-mock,
 python3-nose,
 python3-pkg-resources,
 python3-pyrsistent,
 python3-pytest,
 python3-six,
 python3-twisted,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-jsonschema.git
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-jsonschema
Homepage: https://github.com/Julian/jsonschema

Package: python-jsonschema-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, 
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: An(other) implementation of JSON Schema (Draft 3 and 4) - doc
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package provides the documentation.

Package: python3-jsonschema
Architecture: all
Depends: neurodebian-popularity-contest, 
 python3-attr,
 python3-pkg-resources,
 python3-setuptools,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-jsonschema-doc,
Description: An(other) implementation of JSON Schema (Draft 3 and 4) - Python 3.x
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package contains the Python 3.x module.

## python-jsonschema 3.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
PYTHON 	      = python
PAPER         =
BUILDDIR      = _build
SOURCEDIR     = $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  spelling   to run a spell check of the documentation"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(PYTHON) -m sphinx -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(PYTHON) -m sphinx -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(PYTHON) -m sphinx -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: json
json:
	$(PYTHON) -m sphinx -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(PYTHON) -m sphinx -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(PYTHON) -m sphinx -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/jsonschema.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/jsonschema.qhc"

.PHONY: applehelp
applehelp:
	$(PYTHON) -m sphinx -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(PYTHON) -m sphinx -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/jsonschema"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/jsonschema"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(PYTHON) -m sphinx -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(PYTHON) -m sphinx -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(PYTHON) -m sphinx -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(PYTHON) -m sphinx -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(PYTHON) -m sphinx -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(PYTHON) -m sphinx -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(PYTHON) -m sphinx -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(PYTHON) -m sphinx -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(PYTHON) -m sphinx -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(PYTHON) -m sphinx -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(PYTHON) -m sphinx -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(PYTHON) -m sphinx -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(PYTHON) -m sphinx -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(PYTHON) -m sphinx -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(PYTHON) -m sphinx -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(PYTHON) -m sphinx -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: spelling
spelling:
	$(PYTHON) -m sphinx -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Build finished. The spelling files are in $(BUILDDIR)/spelling."

.PHONY: dummy
dummy:
	$(PYTHON) -m sphinx -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-jsonschema (3.2.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:04:26 +0200

python-jsonschema (3.2.0-2) experimental; urgency=medium

  * d/control: Add {build}dependency python3-importlib-metadata

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 05 May 2020 11:43:45 +0200

python-jsonschema (3.2.0-1) experimental; urgency=medium

  * New upstream version
  * d/copyright: Add me to copyright
  * d/control:
    - Add me to uploaders
    - Bump standards to 4.5.0
    - Breaks: python3-json-pointer (<< 1.14) (Closes: #949723)
  * d/patches:
    - Remove remove-TestBuiltinFormats-hack.patch
    - Add fix-lintian-privacy-breach.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 05 May 2020 09:21:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-jsonschema
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  autopkgtest,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -16,6 +16,7 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-attr,
+ python3-importlib-metadata,
  python3-lxml,
  python3-mock,
  python3-nose,
@@ -24,7 +25,7 @@
  python3-pytest,
  python3-six,
  python3-twisted,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-jsonschema.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-jsonschema
 Homepage: https://github.com/Julian/jsonschema
@@ -32,7 +33,7 @@
 Package: python-jsonschema-doc
 Section: doc
 Architecture: all
-Depends: neurodebian-popularity-contest, 
+Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: An(other) implementation of JSON Schema (Draft 3 and 4) - doc
@@ -47,8 +48,9 @@
 
 Package: python3-jsonschema
 Architecture: all
-Depends: neurodebian-popularity-contest, 
+Depends:
  python3-attr,
+ python3-importlib-metadata,
  python3-pkg-resources,
  python3-setuptools,
  python3-six,
@@ -56,6 +58,8 @@
  ${python3:Depends},
 Suggests:
  python-jsonschema-doc,
+Breaks:
+ python3-json-pointer (<< 1.14),
 Description: An(other) implementation of JSON Schema (Draft 3 and 4) - Python 3.x
  JSON Schema is a specification for a JSON-based format for defining
  the structure of JSON data. JSON Schema provides a contract for what

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/Julian/jsonschema.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=jsonschema

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# We need .egg_info for tests
	dh_auto_install
	dh_auto_test

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 PYTHONPATH=$(CURDIR) PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html docs $(CURDIR)/debian/python-jsonschema-doc/usr/share/doc/python-jsonschema-doc/html
	dh_sphinxdoc
endif
